View Issue Details

IDProjectCategoryView StatusLast Update
15109Bug reports[All Projects] Otherpublic2019-11-11 10:55
Reporterf_funke Assigned Tomarkusfluer 
PriorityhighSeverityfeature 
Status closedResolutionfixed 
Product Version4.0.0-RC2 
Target VersionFixed in Version4.0.x 
Summary15109: Text editor offers fewer options
Description

The text editor (e.g., for question texts) offers fewer options than the editor in LS 3. Especially the following options are missing:

  • remove format
  • insert smiley
  • insert special character
  • underline and strikethrough (only italic and bold are available)
  • subscript and superscript
  • block styles, paragraph format, font, font size
  • anchors
  • font color and background colors
Tagssprint
Complete LimeSurvey version number (& build)4.0.0-RC2 (devdemo.limesurvey.org)
I will donate to the project if issue is resolvedNo
BrowserSafari 12.1.1
Database & DB-Versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Relationships

related to 15454 assignedcdorin tag completion in question editor source mode is annoying 

Activities

markusfluer

markusfluer

2019-08-05 14:21

administrator   ~53101

I intentionally dropped a lot of those, to have the editor focus on speed and clean usability.
The new editor has a document importer, meaning if you create your question in Word, or Writer, and copy it, it will also copy the formatting.

I am open for input, but in my opinion especially new users tend to be overwhelmed by the enourmous editor we had in the old version.

f_funke

f_funke

2019-08-06 15:31

developer   ~53133

I thought that the policy was not to remove any features, but to make them optional (basic vs. advanced mode) instead.

For new users you are right, but I fear that old users will complain about a limited text editor. Having to use an external software for text editing is not very user friendly in my eyes.

f_funke

f_funke

2019-10-24 10:12

developer   ~54199

Any decision on that?
Copy and past from word processor is no feasible alternative in my eyes.

markusfluer

markusfluer

2019-10-29 14:14

administrator   ~54251

We have made a decision in the development team to have underline font size and font color added. (The latter two will cause problems for sure)
After some research, we found that the industry standard is a very light editor. Most other comparable solutions don't even add a fontsize or fontcolor option.
The focus of LimeSurvey 4 is an easier to use user interface and the editor is one of the reasons a lot of customers are overwhelmed, as it is enourmously overcrowded in functionality.
If advanced editing capabilities are necessary, I'm sure it can be done via either copying from an external text editor, or even in html.
Working with an external editor is not bad UX by the way. On the contrary, it is an anti-pattern in UX-Design to have every possible use case reflected in an interface, since most of the users will never need anything that is more than bold, italic, and link, if at all that much.

A pro mode with more options is probably possible, but the discussion will be postponed to an undefined time in the future.
Ticket resolved for now.

f_funke

f_funke

2019-10-29 14:30

developer   ~54252

If all HTML tag work, it's great. I tested <u>...</u> in RC6 but the tag was just ignored ...

lime_release_bot

lime_release_bot

2019-11-11 10:55

administrator   ~54504

Fixed in Release 4.0.0-RC7+191111

Issue History

Date Modified Username Field Change
2019-08-04 15:09 f_funke New Issue
2019-08-05 11:49 cdorin Assigned To => markusfluer
2019-08-05 11:49 cdorin Status new => assigned
2019-08-05 14:21 markusfluer Note Added: 53101
2019-08-06 15:31 f_funke Note Added: 53133
2019-09-09 10:09 c_schmitz Priority none => high
2019-09-09 10:16 c_schmitz Assigned To markusfluer => lime_release_bot
2019-09-09 10:17 c_schmitz Status assigned => new
2019-09-09 10:42 c_schmitz Tag Attached: sprint
2019-10-24 10:12 f_funke Note Added: 54199
2019-10-24 11:51 f_funke Relationship added related to 15454
2019-10-29 14:14 markusfluer Assigned To lime_release_bot => markusfluer
2019-10-29 14:14 markusfluer Status new => resolved
2019-10-29 14:14 markusfluer Resolution open => fixed
2019-10-29 14:14 markusfluer Fixed in Version => 4.0.x
2019-10-29 14:14 markusfluer Note Added: 54251
2019-10-29 14:30 f_funke Note Added: 54252
2019-11-11 10:55 lime_release_bot Note Added: 54504
2019-11-11 10:55 lime_release_bot Status resolved => closed